aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md2
-rwxr-xr-xinstall.sh25
2 files changed, 26 insertions, 1 deletions
diff --git a/README.md b/README.md
index 0ed1e23..7448746 100644
--- a/README.md
+++ b/README.md
@@ -22,7 +22,7 @@ EXAMPLES:
tabbed -c -k quickmedia launcher -e
```
## Installation
-If you are running arch linux then you can install QuickMedia from aur (https://aur.archlinux.org/packages/quickmedia-git/), otherwise you will need to use [sibs](https://git.dec05eba.com/sibs/) to build QuickMedia manually using this command: `sibs build --release`. Then the quickmedia executable is available at `sibs-build/<platform-name>/release/quickmedia`.
+If you are running arch linux then you can install QuickMedia from aur (https://aur.archlinux.org/packages/quickmedia-git/), otherwise you will need to first install [sibs](https://git.dec05eba.com/sibs/) and then run `./install.sh` as root.
## Controls
Press `Arrow up` / `Arrow down` or `Ctrl+K` / `Ctrl+J` to navigate the menu and also to scroll to the previous/next image when viewing manga in scroll mode. Alternatively you can use the mouse scroll to scroll to the previous/next manga in scroll mode.\
Press `Arrow left` / `Arrow right` or `Ctrl+H` / `Ctrl+L` to switch tab.\
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..e87a139
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+sibs build --release
+
+install -Dm755 "sibs-build/$(sibs platform)/release/quickmedia" "/usr/bin/quickmedia"
+install -Dm644 boards.json "/usr/share/quickmedia/boards.json"
+install -Dm644 input.conf "/usr/share/quickmedia/input.conf"
+
+for file in images/* icons/* shaders/*; do
+ install -Dm644 "$file" "/usr/share/quickmedia/$file"
+done
+
+for file in launcher/*; do
+ filename=$(basename "$file")
+ install -Dm644 "$file" "/usr/share/applications/$filename"
+done
+
+echo "Successfully install QuickMedia"